Bug 1467995 - Review Request: python-slackclient - Slack Developer Kit for Python
Review Request: python-slackclient - Slack Developer Kit for Python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-05 14:12 EDT by Gwyn Ciesla
Modified: 2017-07-14 09:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-14 09:23:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
randy: fedora‑review+


Attachments (Terms of Use)
review.txt (8.89 KB, text/plain)
2017-07-05 17:20 EDT, Randy Barlow
no flags Details

  None (edit)
Comment 1 Randy Barlow 2017-07-05 17:20 EDT
Created attachment 1294743 [details]
review.txt
Comment 2 Randy Barlow 2017-07-05 17:21:44 EDT
Approved! I have two suggestions for improvement, but they are optional so feel free to ignore:

136 [!]: It would be nice to package the docs/ folder. I have no idea how they
137      are intended to be built, but you could just package the rst files
138      since rst is pretty human readable. 
139 [!]: It'd be reasonable to drop the shebang on the _client.py file to get
140      rid of the rpmlint errors. You could also run dos2unix on the
141      README.rst to fix its line endings.

If you have some time and wouldn't mind doing a review for me, I could use review on this one:

https://bugzilla.redhat.com/show_bug.cgi?id=1467417
Comment 3 Gwyn Ciesla 2017-07-06 08:41:31 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-slackclient
Comment 4 Gwyn Ciesla 2017-07-06 08:43:20 EDT
Thank you!  Looks like Dan beat me to 1467417, I can do another if you have one.
Comment 5 Fedora Update System 2017-07-06 09:09:18 EDT
python-slackclient-1.0.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb2f5d9307
Comment 6 Randy Barlow 2017-07-06 10:06:43 EDT
Thanks for the offer! I don't have any more Python packages waiting for review right now. If you are comfortable with a JavaScript package I've got this one:

https://bugzilla.redhat.com/show_bug.cgi?id=1421480
Comment 7 Gwyn Ciesla 2017-07-06 10:15:21 EDT
I'll give it a go.
Comment 8 Fedora Update System 2017-07-06 14:23:39 EDT
python-slackclient-1.0.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb2f5d9307
Comment 9 Fedora Update System 2017-07-14 09:23:10 EDT
python-slackclient-1.0.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.